Robot Simulator of the Robotics Group for Self-Organization of Control: PrimitiveComponent Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PrimitiveComponent Class Reference

Component consisting of one Primitive. More...

`#include <primitivecomponent.h>`

Inherits Component.

Inheritance diagram for PrimitiveComponent:

[legend]
Collaboration diagram for PrimitiveComponent:

[legend]
List of all members.

## Public Member Functions
| PrimitiveComponent (Primitive *p, const OdeHandle &odeHandle, const OsgHandle &osgHandle, const ComponentConf &conf)
| ~PrimitiveComponent ()
virtual void | update ()
| update the OSG notes here
virtual void | place (const Pos &pos)
| sets the vehicle to position pos
virtual void | place (const osg:Matrix &)
virtual Position | getPosition () const
| returns position of the object
virtual Primitive * | getMainPrimitive () const
| return reference to the simple Primitive, or to the main Primitive of the robot assigend to the component.
## Protected Attributes
Primitive * | primitive

## Detailed Description

Component consisting of one Primitive.

## Constructor & Destructor Documentation

PrimitiveComponent | ( | Primitive * | p,
|  | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const ComponentConf & | conf |
| ) |  |  |

~PrimitiveComponent | ( |  | ) |

## Member Function Documentation

virtual Primitive* getMainPrimitive | ( |  | ) | const`[virtual]`

return reference to the simple Primitive, or to the main Primitive of the robot assigend to the component.

If nothimng is assigned, NULL is returned.

Implements Component.

virtual Position getPosition | ( |  | ) | const`[virtual]`

returns position of the object

Returns:
  vector of position (x,y,z)

Implements Component.

virtual void place | ( | const osg:Matrix & |  | ) | `[virtual]`

virtual void place | ( | const Pos & | pos | ) | `[virtual]`

sets the vehicle to position pos

Parameters:

  | pos | desired position of the robot

Implements Component.

virtual void update | ( |  | ) | `[virtual]`

update the OSG notes here

Implements Component.

## Member Data Documentation

Primitive* primitive`[protected]`

The documentation for this class was generated from the following file:

- primitivecomponent.h